---

# Switch 'stable' to 'nightly' if needed.
docker_apt_release_channel: stable
docker_repo_url: "https://download.docker.com/linux/ubuntu"
docker_gpg_url: "{{ docker_repo_url }}/gpg"
docker_gpg_fingerprint: 9DC858229FC7DD38854AE2D88D81803C0EBFCD88
docker_gpg_keyring: /usr/share/keyrings/docker-keyring.gpg
docker_repo: "deb [arch={{ _host_arch }} signed-by={{ docker_gpg_keyring }}] {{ docker_repo_url }} {{ _ubuntu_release }} {{ docker_apt_release_channel }}"

docker_dependencies:
  - ca-certificates
  - apt-transport-https
  - gnupg2

# Edition can be one of: 'ce' (community edition) or 'ee' (enterprise edition).
docker_edition: ce
docker_packages:
  - "docker-{{ docker_edition }}"
  - "docker-{{ docker_edition }}-cli"
  - "docker-{{ docker_edition }}-rootless-extras"
  - "docker-buildx-plugin"
  - "containerd.io"
  - "docker-compose-plugin"

# Can be: "present" or "absent"
docker_packages_state: present

# Install pip versions of docker and docker-compose (to work with ansible)
docker_compose_pip_version: false

# List of users who will be added to the docker group
docker_users: []
# docker_users: [ user, another_user ]
